# H245_H263Options Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H263Options:

List of all members.

## Public Types

enum | OptionalFields { e_transparencyParameters, e_refPictureSelection, e_customPictureClockFrequency, e_customPictureFormat, e_modeCombos, e_videoBadMBsCap, e_h263Version3Options }

## Public Member Functions

| H245_H263Options (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_advancedIntraCodingMode
PASN_Boolean | m_deblockingFilterMode
PASN_Boolean | m_improvedPBFramesMode
PASN_Boolean | m_unlimitedMotionVectors
PASN_Boolean | m_fullPictureFreeze
PASN_Boolean | m_partialPictureFreezeAndRelease
PASN_Boolean | m_resizingPartPicFreezeAndRelease
PASN_Boolean | m_fullPictureSnapshot
PASN_Boolean | m_partialPictureSnapshot
PASN_Boolean | m_videoSegmentTagging
PASN_Boolean | m_progressiveRefinement
PASN_Boolean | m_dynamicPictureResizingByFour
PASN_Boolean | m_dynamicPictureResizingSixteenthPel
PASN_Boolean | m_dynamicWarpingHalfPel
PASN_Boolean | m_dynamicWarpingSixteenthPel
PASN_Boolean | m_independentSegmentDecoding
PASN_Boolean | m_slicesInOrder_NonRect
PASN_Boolean | m_slicesInOrder_Rect
PASN_Boolean | m_slicesNoOrder_NonRect
PASN_Boolean | m_slicesNoOrder_Rect
PASN_Boolean | m_alternateInterVLCMode
PASN_Boolean | m_modifiedQuantizationMode
PASN_Boolean | m_reducedResolutionUpdate
H245_TransparencyParameters | m_transparencyParameters
PASN_Boolean | m_separateVideoBackChannel
H245_RefPictureSelection | m_refPictureSelection
H245_ArrayOf_CustomPictureClockFrequency | m_customPictureClockFrequency
H245_ArrayOf_CustomPictureFormat | m_customPictureFormat
H245_ArrayOf_H263VideoModeCombos | m_modeCombos
PASN_Boolean | m_videoBadMBsCap
H245_H263Version3Options | m_h263Version3Options

## Member Enumeration Documentation

enum H245_H263Options::OptionalFields

Enumerator:

  e_transparencyParameters |
  e_refPictureSelection |
  e_customPictureClockFrequency |
  e_customPictureFormat |
  e_modeCombos |
  e_videoBadMBsCap |
  e_h263Version3Options |

## Constructor & Destructor Documentation

H245_H263Options::H245_H263Options | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H263Options::GetDataLength | ( |  | ) | const

PBoolean H245_H263Options::Decode | ( | PASN_Stream & | strm | ) |

void H245_H263Options::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H263Options::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H263Options::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H263Options::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_H263Options::m_advancedIntraCodingMode

PASN_Boolean H245_H263Options::m_deblockingFilterMode

PASN_Boolean H245_H263Options::m_improvedPBFramesMode

PASN_Boolean H245_H263Options::m_unlimitedMotionVectors

PASN_Boolean H245_H263Options::m_fullPictureFreeze

PASN_Boolean H245_H263Options::m_partialPictureFreezeAndRelease

PASN_Boolean H245_H263Options::m_resizingPartPicFreezeAndRelease

PASN_Boolean H245_H263Options::m_fullPictureSnapshot

PASN_Boolean H245_H263Options::m_partialPictureSnapshot

PASN_Boolean H245_H263Options::m_videoSegmentTagging

PASN_Boolean H245_H263Options::m_progressiveRefinement

PASN_Boolean H245_H263Options::m_dynamicPictureResizingByFour

PASN_Boolean H245_H263Options::m_dynamicPictureResizingSixteenthPel

PASN_Boolean H245_H263Options::m_dynamicWarpingHalfPel

PASN_Boolean H245_H263Options::m_dynamicWarpingSixteenthPel

PASN_Boolean H245_H263Options::m_independentSegmentDecoding

PASN_Boolean H245_H263Options::m_slicesInOrder_NonRect

PASN_Boolean H245_H263Options::m_slicesInOrder_Rect

PASN_Boolean H245_H263Options::m_slicesNoOrder_NonRect

PASN_Boolean H245_H263Options::m_slicesNoOrder_Rect

PASN_Boolean H245_H263Options::m_alternateInterVLCMode

PASN_Boolean H245_H263Options::m_modifiedQuantizationMode

PASN_Boolean H245_H263Options::m_reducedResolutionUpdate

H245_TransparencyParameters H245_H263Options::m_transparencyParameters

PASN_Boolean H245_H263Options::m_separateVideoBackChannel

H245_RefPictureSelection H245_H263Options::m_refPictureSelection

H245_ArrayOf_CustomPictureClockFrequency H245_H263Options::m_customPictureClockFrequency

H245_ArrayOf_CustomPictureFormat H245_H263Options::m_customPictureFormat

H245_ArrayOf_H263VideoModeCombos H245_H263Options::m_modeCombos

PASN_Boolean H245_H263Options::m_videoBadMBsCap

H245_H263Version3Options H245_H263Options::m_h263Version3Options

The documentation for this class was generated from the following file:

- h245.h